<?php

require_once __DIR__.'/configuracion.php';
require_once __DIR__.'/../util/Funciones.clase.php';

class Conexion{
    protected $dblink;
    
    public function __construct() {
        $this->abrirConexion();
        //echo "conexión abierta";
    }
    
    public function __destruct() {
        $this->dblink = NULL;
        //echo "Conexión cerrada";
    }
    
    protected function abrirConexion(){
        if(getenv('POSTGRES_DSN')){
            $dsn = getenv('POSTGRES_DSN');
            $user = getenv('POSTGRES_USER');
            $password = getenv('POSTGRES_PASSWORD');
        }else{
            $servidor = "pgsql:host=" . POSTGRES_HOST . ";dbname=" . POSTGRES_DB;
            $usuario = POSTGRES_USER;
            $clave = POSTGRES_PASSWORD;
        }

        try {
            if (getenv('POSTGRES_DSN')) {
                $this->dblink = new PDO($dsn, $user, $password);
            }else{
                $this->dblink = new PDO($servidor, $usuario, $clave);
            }
            $this->dblink->exec("SET NAMES 'utf8', lc_time_names='es_PE', time_zone = '-05:00';");
            $this->dblink->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $exc) {
            Funciones::imprimeJSON(500, $exc->getMessage(), "e");   
        }
        
        return $this->dblink;
    }
}